The ActivityParticipant represents an individual user session that has joined a particular Activity.

### Hierarchy

- ActivityParticipant

## Index

### Properties

- activity
- local
- sessionId
- user

### Accessors

- state

### Methods

- clone

## Properties

### activity

activity: Activity

The Activity this participant belongs too.

### local

local: boolean

A flag indicating if the participant represents the local user / session.

### sessionId

sessionId: string

The session id of the participant.

### user

user: DomainUser

The username of the participant.

## Accessors

### state

- get state(): Map<string, any>

- #### Returns Map<string, any>

  The current state of this participant within this activity.

## Methods

### clone

- clone(modifications?: object): ActivityParticipant

- Clones this ActivityParticipant, optionally making changes while cloning.

  #### Parameters

  - ##### modifications: object = {}

    Optional overrides to the properties of the ActivityParticipant.

    - ##### Optional activity?: Activity

    - ##### Optional local?: boolean

    - ##### Optional sessionId?: string

    - ##### Optional state?: Map<string, any>

    - ##### Optional user?: DomainUser

  #### Returns ActivityParticipant